package api;

import javax.swing.JPanel;

import ui.controller.Control;

/**
 * Interface for a Algorithm that is executed on the current timestep.
 * @author Tom Troppmann
 */
public interface Algorithm  {
	public JPanel getAlgorithmPanel();
	public void setController(Control control);
}
